Bug 124061 - statement with no effect
statement with no effect
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-23 12:48 EDT by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-18 21:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-05-23 12:48:32 EDT
Description of problem:

I just tried to compile package arts-1.2.2-2 from Redhat Fedora Core2.

The compiler said

md5auth.cc:125: warning: statement has no effect

The source code is

        // this is some seed from a file which is updated sometimes with a
        // new "arts_md5_auth_mkcookie()" after initialization
        strncmp(r.seed,md5_seed,MD5_COOKIE_LEN);

I agree with the compiler. Suggest either delete the line of code,
or assign the return value to something.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2004-06-02 04:45:04 EDT
oh yes, it need to be fixed. It would be nice if you could report such
problem to KDE bugzilla, so they can better fix this problem in next
upstream. Thanks
Comment 2 d.binderman 2004-06-02 14:01:25 EDT
I agree it would be nice, but it isn't going to happen ;-<

I think any Redhat employee interested in going the
extra mile to help out an already overworked customer
would gain ten points in the employee of the month program.

IMHO.
Comment 3 Alan Cox 2004-06-18 21:15:55 EDT
Customer.... if someone charged you for Fedora it wasn't us and you've
been mislead.

Please report such problems upstream.


Note You need to log in before you can comment on or make changes to this bug.